// hc_ade_test.go : on teste ADE (a priori FAUX)
package hc_score

import (
	"testing"
)

func TestADE(t *testing.T) {
    InitPlain("ficADE.txt")
    x := SCORE["ADE"]("ILFAITBEAUCEMATIN")
    if x != 1. {
        t.Error("ADE score [!=1] ", x)
    }
    x = SCORE["ADE"]("ILFAITBEAUDEMATIN")
    if x < 0.9 {
        t.Error("ADE score [!=1] ", x)
    }
    x = SCORE["ADE"]("ILFAITBEAUBEMATIN")
    if x < 0.9 {
        t.Error("ADE score [!=1] ", x)
    }
    x = SCORE["ADE"]("ILFAITBEAUCEMATIM")
    if x < 0.9 && x != 1.0 {
        t.Error("ADE score [!=1] ", x)
    }
}
